# VecPackRefine

Refines a VecPack by refining all of its DAs

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode VecPackRefine(VecPack packer,MPI_Comm comm,VecPack *fine)

Collective on VecPack

### Input Parameters

| packer | - the packer object
| comm | - communicator to contain the new DM object, usually PETSC_NULL

### Output Parameter

fine -new packer

### See Also

VecPackDestroy(), VecPackAddArray(), VecPackAddDA(), VecPackCreateGlobalVector(),
VecPackGather(), VecPackCreate(), VecPackGetGlobalIndices(), VecPackGetAccess(), VecPackGetLocalVectors(), VecPackRestoreLocalVectors()

Level:advanced
Location:src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages